Package com.clickhouse.jdbc.parser

## Enum LanguageType

- java.lang.Object
- - java.lang.Enum<LanguageType>
  - - com.clickhouse.jdbc.parser.LanguageType

All Implemented Interfaces:
  `Serializable`, `Comparable<LanguageType>`

    public enum LanguageType
    extends Enum<LanguageType>

### Enum Constant Summary

Enum Constants
`DCL`
`DDL`
`DML`
`TCL`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static LanguageType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static LanguageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final LanguageType UNKNOWN

#### DCL

    public static final LanguageType DCL

#### DDL

    public static final LanguageType DDL

#### DML

    public static final LanguageType DML

#### TCL

    public static final LanguageType TCL

### Method Detail

#### values

    public static LanguageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LanguageType c : LanguageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LanguageType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null